summaryrefslogtreecommitdiff
path: root/plymouth/debian/plymouth-x11.postinst
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2019-09-11 14:59:55 -0400
committerB Stack <bgstack15@gmail.com>2019-09-11 14:59:55 -0400
commit7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f (patch)
treea5b2fa3712798d6d8fb4fe8062cfc70c90b94b2a /plymouth/debian/plymouth-x11.postinst
parentMerge branch 'waterfox-bump' into 'master' (diff)
downloadstackrpms-7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f.tar.gz
stackrpms-7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f.tar.bz2
stackrpms-7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f.zip
plymouth 0.9.4 without systemd
Diffstat (limited to 'plymouth/debian/plymouth-x11.postinst')
-rw-r--r--plymouth/debian/plymouth-x11.postinst24
1 files changed, 24 insertions, 0 deletions
diff --git a/plymouth/debian/plymouth-x11.postinst b/plymouth/debian/plymouth-x11.postinst
new file mode 100644
index 0000000..568532c
--- /dev/null
+++ b/plymouth/debian/plymouth-x11.postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ if which update-initramfs >/dev/null 2>&1; then
+ update-initramfs -u
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
bgstack15